CVE-2003-0987

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

mod_digest for Apache before 1.3.31 does not properly verify the nonce of a client response by using a AuthNonce secret.

References

http://www.mail-archive.com/[email protected]/msg19007.html

http://www.mail-archive.com/[email protected]/msg19014.html

http://www.securityfocus.com/bid/9571

http://www.redhat.com/support/errata/RHSA-2004-600.html

http://www.trustix.org/errata/2004/0027

http://security.gentoo.org/glsa/glsa-200405-22.xml

http://sunsolve.sun.com/search/document.do?assetkey=1-26-57628-1

http://securitytracker.com/id?1008920

http://www.slackware.com/security/viewer.php?l=slackware-security&y=2004&m=slackware-security.529643

http://www.redhat.com/support/errata/RHSA-2005-816.html

http://sunsolve.sun.com/search/document.do?assetkey=1-26-101555-1

http://sunsolve.sun.com/search/document.do?assetkey=1-26-101841-1

http://www.mandriva.com/security/advisories?name=MDKSA-2004:046

http://marc.info/?l=bugtraq&m=108437852004207&w=2

https://exchange.xforce.ibmcloud.com/vulnerabilities/15041

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A4416

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A100108

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

https://lists.apache.org/thread.html/[email protected]%3Ccvs.httpd.apache.org%3E

Details

Source: MITRE

Published: 2004-03-03

Updated: 2021-06-06

Risk Information

CVSS v2

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:apache:http_server:*:*:*:*:*:*:*:* versions up to 1.3.30 (inclusive)

Tenable Plugins

View all (11 total)

IDNameProductFamilySeverity
18787Slackware 8.1 / 9.0 / 9.1 / current : apache (SSA:2004-133-01)NessusSlackware Local Security Checks
high
15960RHEL 2.1 : apache, mod_ssl (RHSA-2004:600)NessusRed Hat Local Security Checks
high
2444Mac OS X Multiple Vulnerabilities (Security Update 2004-12-02)Nessus Network MonitorWeb Clients
high
15898Mac OS X Multiple Vulnerabilities (Security Update 2004-12-02)NessusMacOS X Local Security Checks
high
15483Solaris 8 (x86) : 116974-07NessusSolaris Local Security Checks
critical
15482Solaris 8 (sparc) : 116973-07NessusSolaris Local Security Checks
critical
14508GLSA-200405-22 : Apache 1.3: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
14145Mandrake Linux Security Advisory : apache-mod_perl (MDKSA-2004:046-1)NessusMandriva Local Security Checks
high
13593Solaris 9 (x86) : 114145-12NessusSolaris Local Security Checks
critical
13530Solaris 9 (sparc) : 113146-13NessusSolaris Local Security Checks
critical
800800Mac OS X Multiple Vulnerabilities (Security Update 2004-12-02)Log Correlation EngineOperating System Detection
medium